@if /I "%PROCESSOR_ARCHITECTURE%" == "AMD64" (
  echo Uninstalling driver on 64-bit OS
  @for %%i in ("%~dp0\*.inf") do @"%~dp0\bin\DPInst64.exe"    /L 0x401 /q /u  "%%i"
  goto :end
) else if /I "%PROCESSOR_ARCHITECTURE%" == "X86" (
  echo Uninstalling driver on 32-bit OS
  @for %%i in ("%~dp0\*.inf") do @"%~dp0\bin\DPInst32.exe"    /L 0x401 /q /u  "%%i"
  goto :end
)


:end
@echo Done!
@pause
